Subject: Re: Modifying the exponential backoff on new connection SYN packets

From: Ed W <[email-masked]>
Date: Tue, 09 Apr 2013 16:52:21 +0100

On 09/04/2013 16:12, Eric Dumazet wrote:
> On Tue, 2013-04-09 at 06:48 -0700, Eric Dumazet wrote:
>
>> You'll have to change inet_csk_reqsk_queue_prune() in
>> net/ipv4/inet_connection_sock.c
>>
>> timeo = min(timeout << req->num_timeout, max_rto);
>> req->expires = now + timeo;
>>
>> Good luck !
> Oh well, this code is for SYNACK retransmits...
>
> For other retransmits, you'll have to take a look in
> net/ipv4/tcp_timer.c, around lines 475
>
> icsk->icsk_rto = min(icsk->icsk_rto << 1, TCP_RTO_MAX);
>
>

Hmm, I don't necessarily want to change the normal data timeouts, just 
the initial SYN timeouts. How might I make detect that I'm in SYN state 
and cap the timer appropriately? Apologies for beginner questions...

Thanks

Ed W